## percona-server-mongodb-36 3.6.19

=== SConstruct ===
# -*- mode: python; -*-
import atexit
import copy
import datetime
import errno
import json
import os
import re
import shlex
import shutil
import stat
import subprocess
import sys
import textwrap
import uuid
import multiprocessing

import SCons

# This must be first, even before EnsureSConsVersion, if
# we are to avoid bulk loading all tools in the DefaultEnvironment.
DefaultEnvironment(tools=[])

# These come from site_scons/mongo. Import these things
# after calling DefaultEnvironment, for the sake of paranoia.
import mongo
import mongo.platform as mongo_platform
import mongo.toolchain as mongo_toolchain
import mongo.generators as mongo_generators

EnsurePythonVersion(2, 7)
EnsureSConsVersion(2, 5)

from buildscripts import utils
from buildscripts import moduleconfig

import libdeps

atexit.register(mongo.print_build_failures)

def add_option(name, **kwargs):

    if 'dest' not in kwargs:
        kwargs['dest'] = name

    if 'metavar' not in kwargs and kwargs.get('type', None) == 'choice':
        kwargs['metavar'] = '[' + '|'.join(kwargs['choices']) + ']'

    AddOption('--' + name, **kwargs)

def get_option(name):
    return GetOption(name)

def has_option(name):
    optval = GetOption(name)
    # Options with nargs=0 are true when their value is the empty tuple. Otherwise,
    # if the value is falsish (empty string, None, etc.), coerce to False.
    return True if optval == () else bool(optval)

def use_system_version_of_library(name):
    return has_option('use-system-all') or has_option('use-system-' + name)

# Returns true if we have been configured to use a system version of any C++ library. If you
# add a new C++ library dependency that may be shimmed out to the system, add it to the below
# list.
def using_system_version_of_cxx_libraries():
    cxx_library_names = ["tcmalloc", "boost"]
    return True in [use_system_version_of_library(x) for x in cxx_library_names]

def make_variant_dir_generator():
    memoized_variant_dir = [False]
    def generate_variant_dir(target, source, env, for_signature):
        if not memoized_variant_dir[0]:
            memoized_variant_dir[0] = env.subst('$BUILD_ROOT/$VARIANT_DIR')
        return memoized_variant_dir[0]
    return generate_variant_dir


# Always randomize the build order to shake out missing edges, and to help the cache:
# http://scons.org/doc/production/HTML/scons-user/ch24s06.html
SetOption('random', 1)

# Options TODOs:
#
# - We should either alphabetize the entire list of options, or split them into logical groups
#   with clear boundaries, and then alphabetize the groups. There is no way in SCons though to
#   inform it of options groups.
#
# - Many of these options are currently only either present or absent. This is not good for
#   scripting the build invocation because it means you need to interpolate in the presence of
#   the whole option. It is better to make all options take an optional on/off or true/false
#   using the nargs='const' mechanism.
#

add_option('prefix',
    default='$BUILD_ROOT/install',
    help='installation prefix',
)

add_option('nostrip',
    help='do not strip installed binaries',
    nargs=0,
)

add_option('build-dir',
    default='#build',
    help='build output directory',
)

add_option('release',
    help='release build',
    nargs=0,
)

add_option('lto',
    help='enable link time optimizations (experimental, except with MSVC)',
    nargs=0,
)

add_option('dynamic-windows',
    help='dynamically link on Windows',
    nargs=0,
)

add_option('endian',
    choices=['big', 'little', 'auto'],
    default='auto',
    help='endianness of target platform',
    nargs=1,
    type='choice',
)

add_option('disable-minimum-compiler-version-enforcement',
    help='allow use of unsupported older compilers (NEVER for production builds)',
    nargs=0,
)

add_option('rocksdb',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable RocksDB',
    nargs='?',
    type='choice',
)

add_option('ssl',
    help='Enable SSL',
    nargs=0
)

add_option('mmapv1',
    choices=['auto', 'on', 'off'],
    default='auto',
    help='Enable MMapV1',
    nargs='?',
    type='choice',
)

add_option('wiredtiger',
    choices=['on', 'off'],
    const='on',
    default='on',
    help='Enable wiredtiger',
    nargs='?',
    type='choice',
)

add_option('inmemory',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable InMemory',
    nargs='?',
    type='choice',
)

add_option('audit',
    help='Enable auditing',
    nargs=0,
)

add_option('hotbackup',
    help='Enable Hot Backup',
    nargs=0,
)

js_engine_choices = ['mozjs', 'none']
add_option('js-engine',
    choices=js_engine_choices,
    default=js_engine_choices[0],
    help='JavaScript scripting engine implementation',
    type='choice',
)

add_option('server-js',
    choices=['on', 'off'],
    const='on',
    default='on',
    help='Build mongod without JavaScript support',
    type='choice',
)

add_option('libc++',
    help='use libc++ (experimental, requires clang)',
    nargs=0,
)

add_option('use-glibcxx-debug',
    help='Enable the glibc++ debug implementations of the C++ standard libary',
    nargs=0,
)

add_option('noshell',
    help="don't build shell",
    nargs=0,
)

add_option('safeshell',
    help="don't let shell scripts run programs (still, don't run untrusted scripts)",
    nargs=0,
)

add_option('dbg',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable runtime debugging checks',
    nargs='?',
    type='choice',
)

add_option('spider-monkey-dbg',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable SpiderMonkey debug mode',
    nargs='?',
    type='choice',
)

add_option('opt',
    choices=['on', 'off'],
    const='on',
    help='Enable compile-time optimization',
    nargs='?',
    type='choice',
)

add_option('sanitize',
    help='enable selected sanitizers',
    metavar='san1,san2,...sanN',
)

add_option('llvm-symbolizer',
    default='llvm-symbolizer',
    help='name of (or path to) the LLVM symbolizer',
)

add_option('durableDefaultOn',
    help='have durable default to on',
    nargs=0,
)

add_option('allocator',
    choices=["auto", "system", "tcmalloc"],
    default="auto",
    help='allocator to use (use "auto" for best choice for current platform)',
    type='choice',
)

add_option('gdbserver',
    help='build in gdb server support',
    nargs=0,
)

add_option('gcov',
    help='compile with flags for gcov',
    nargs=0,
)

add_option('smokedbprefix',
    help='prefix to dbpath et al. for smoke tests',
)

add_option('smokeauth',
    help='run smoke tests with --auth',
    nargs=0,
)

add_option('use-sasl-client',
    help='Support SASL authentication in the client library',
    nargs=0,
)

add_option('use-system-tcmalloc',
    help='use system version of tcmalloc library',
    nargs=0,
)

add_option('use-system-fmt',
    help='use system version of fmt library',
    nargs=0,
)

add_option('use-system-pcre',
    help='use system version of pcre library',
    nargs=0,
)

add_option('use-system-wiredtiger',
    help='use system version of wiredtiger library',
    nargs=0,
)

add_option('system-boost-lib-search-suffixes',
    help='Comma delimited sequence of boost library suffixes to search',
)

add_option('use-system-boost',
    help='use system version of boost libraries',
    nargs=0,
)

add_option('use-system-snappy',
    help='use system version of snappy library',
    nargs=0,
)

add_option('use-system-lz4',
    help='use system version of LZ4 library',
    nargs=0,
)

add_option('use-system-valgrind',
    help='use system version of valgrind library',
    nargs=0,
)

add_option('use-system-google-benchmark',
    help='use system version of Google benchmark library',
    nargs=0,
)

add_option('use-system-zlib',
    help='use system version of zlib library',
    nargs=0,
)

add_option('use-system-stemmer',
    help='use system version of stemmer',
    nargs=0)

add_option('use-system-yaml',
    help='use system version of yaml',
    nargs=0,
)

add_option('use-system-asio',
    help="use system version of ASIO",
    nargs=0,
)

add_option('use-system-icu',
    help="use system version of ICU",
    nargs=0,
)

add_option('use-system-intel_decimal128',
    help='use system version of intel decimal128',
    nargs=0,
)

add_option('use-system-all',
    help='use all system libraries',
    nargs=0,
)

add_option('use-new-tools',
    help='put new tools in the tarball',
    nargs=0,
)

add_option('build-mongoreplay',
    help='when building with --use-new-tools, build mongoreplay ( requires pcap dev )',
    nargs=1,
)

add_option('use-cpu-profiler',
    help='Link against the google-perftools profiler library',
    nargs=0,
)

add_option('build-fast-and-loose',
    choices=['on', 'off', 'auto'],
    const='on',
    default='auto',
    help='looser dependency checking',
    nargs='?',
    type='choice',
)

add_option('disable-warnings-as-errors',
    help="Don't add -Werror to compiler command line",
    nargs=0,
)

add_option('detect-odr-violations',
    help="Have the linker try to detect ODR violations, if supported",
    nargs=0,
)

add_option('variables-help',
    help='Print the help text for SCons variables',
    nargs=0,
)

add_option('osx-version-min',
    help='minimum OS X version to support',
)

win_version_min_choices = {
    'win7'    : ('0601', '0000'),
    'ws08r2'  : ('0601', '0000'),
    'win8'    : ('0602', '0000'),
    'win81'   : ('0603', '0000'),
}

add_option('win-version-min',
    choices=win_version_min_choices.keys(),
    default=None,
    help='minimum Windows version to support',
    type='choice',
)

add_option('cache',
    choices=["all", "nolinked"],
    const='all',
    help='Use an object cache rather than a per-build variant directory (experimental)',
    nargs='?',
)

add_option('cache-dir',
    default='$BUILD_ROOT/scons/cache',
    help='Specify the directory to use for caching objects if --cache is in use',
)

add_option("cxx-std",
    choices=["14"],
    default="14",
    help="Select the C++ langauge standard to build with",
)

def find_mongo_custom_variables():
    files = []
    for path in sys.path:
        probe = os.path.join(path, 'mongo_custom_variables.py')
        if os.path.isfile(probe):
            files.append(probe)
    return files

add_option('variables-files',
    default=find_mongo_custom_variables(),
    help="Specify variables files to load",
)

link_model_choices = ['auto', 'object', 'static', 'dynamic', 'dynamic-strict']
add_option('link-model',
    choices=link_model_choices,
    default='auto',
    help='Select the linking model for the project',
    type='choice'
)

variable_parse_mode_choices=['auto', 'posix', 'other']
add_option('variable-parse-mode',
    choices=variable_parse_mode_choices,
    default=variable_parse_mode_choices[0],
    help='Select which parsing mode is used to interpret command line variables',
    type='choice',
)

add_option('modules',
    help="Comma-separated list of modules to build. Empty means none. Default is all.",
)

add_option('runtime-hardening',
    choices=["on", "off"],
    default="on",
    help="Enable runtime hardening features (e.g. stack smash protection)",
    type='choice',
)

add_option('use-s390x-crc32',
    choices=["on", "off"],
    default="on",
    help="Enable CRC32 hardware accelaration on s390x",
    type='choice',
)

add_option('git-decider',
    choices=["on", "off"],
    const='on',
    default="off",
    help="Use git metadata for out-of-date detection for source files",
    nargs='?',
    type="choice",
)

try:
    with open("version.json", "r") as version_fp:
        version_data = json.load(version_fp)

    if 'version' not in version_data:
        print("version.json does not contain a version string")
        Exit(1)
    if 'githash' not in version_data:
        version_data['githash'] = utils.getGitVersion()

except IOError as e:
    # If the file error wasn't because the file is missing, error out

=== buildscripts/requirements.txt ===
# Jira integration
cryptography >= 2.0.0
jira == 1.0.10
pyjwt == 1.5.3
# Other
pyyaml == 3.11
unittest-xml-reporting == 2.1.0
# Linters
yapf == 0.16.0
mypy == 0.501 ; python_version > "3"
# typing in Python 2 for mypy
typing == 3.6.1; python_version < "3"
pylint == 1.6.5
pydocstyle == 1.1.1
# resmoke.py
-r resmokelib/requirements.txt
# generate_error_codes.py
cheetah3 == 3.0.0; python_version < "3"

=== aws-sdk-cpp/aws-cpp-sdk-AWSMigrationHub/CMakeLists.txt ===
add_project(aws-cpp-sdk-AWSMigrationHub "C++ SDK for the AWS AWSMigrationHub service" aws-cpp-sdk-core)

file(GLOB AWS_AWSMIGRATIONHUB_HEADERS
    "include/aws/AWSMigrationHub/*.h"
)

file(GLOB AWS_AWSMIGRATIONHUB_MODEL_HEADERS
    "include/aws/AWSMigrationHub/model/*.h"
)

file(GLOB AWS_AWSMIGRATIONHUB_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_AWSMIGRATIONHUB_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB AWSMIGRATIONHUB_UNIFIED_HEADERS
    ${AWS_AWSMIGRATIONHUB_HEADERS}
    ${AWS_AWSMIGRATIONHUB_MODEL_HEADERS}
)

file(GLOB AWSMIGRATIONHUB_UNITY_SRC
    ${AWS_AWSMIGRATIONHUB_SOURCE}
    ${AWS_AWSMIGRATIONHUB_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("AWSMIGRATIONHUB" AWSMIGRATIONHUB_UNITY_SRC)
endif()

file(GLOB AWSMIGRATIONHUB_SRC
    ${AWSMIGRATIONHUB_UNIFIED_HEADERS}
    ${AWSMIGRATIONHUB_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\AWSMigrationHub" FILES ${AWS_AWSMIGRATIONHUB_HEADERS})
        source_group("Header Files\\aws\\AWSMigrationHub\\model" FILES ${AWS_AWSMIGRATIONHUB_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_AWSMIGRATIONHUB_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_AWSMIGRATIONHUB_MODEL_SOURCE})
    endif(MSVC)
endif()

set(AWSMIGRATIONHUB_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${AWSMIGRATIONHUB_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_MIGRATIONHUB_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_AWSMIGRATIONHUB_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/AWSMigrationHub)
install (FILES ${AWS_AWSMIGRATIONHUB_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/AWSMigrationHub/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-acm/CMakeLists.txt ===
add_project(aws-cpp-sdk-acm "C++ SDK for the AWS acm service" aws-cpp-sdk-core)

file(GLOB AWS_ACM_HEADERS
    "include/aws/acm/*.h"
)

file(GLOB AWS_ACM_MODEL_HEADERS
    "include/aws/acm/model/*.h"
)

file(GLOB AWS_ACM_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_ACM_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB ACM_UNIFIED_HEADERS
    ${AWS_ACM_HEADERS}
    ${AWS_ACM_MODEL_HEADERS}
)

file(GLOB ACM_UNITY_SRC
    ${AWS_ACM_SOURCE}
    ${AWS_ACM_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("ACM" ACM_UNITY_SRC)
endif()

file(GLOB ACM_SRC
    ${ACM_UNIFIED_HEADERS}
    ${ACM_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\acm" FILES ${AWS_ACM_HEADERS})
        source_group("Header Files\\aws\\acm\\model" FILES ${AWS_ACM_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_ACM_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_ACM_MODEL_SOURCE})
    endif(MSVC)
endif()

set(ACM_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${ACM_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_ACM_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_ACM_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/acm)
install (FILES ${AWS_ACM_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/acm/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-amplify/CMakeLists.txt ===
add_project(aws-cpp-sdk-amplify "C++ SDK for the AWS amplify service" aws-cpp-sdk-core)

file(GLOB AWS_AMPLIFY_HEADERS
    "include/aws/amplify/*.h"
)

file(GLOB AWS_AMPLIFY_MODEL_HEADERS
    "include/aws/amplify/model/*.h"
)

file(GLOB AWS_AMPLIFY_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_AMPLIFY_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB AMPLIFY_UNIFIED_HEADERS
    ${AWS_AMPLIFY_HEADERS}
    ${AWS_AMPLIFY_MODEL_HEADERS}
)

file(GLOB AMPLIFY_UNITY_SRC
    ${AWS_AMPLIFY_SOURCE}
    ${AWS_AMPLIFY_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("AMPLIFY" AMPLIFY_UNITY_SRC)
endif()

file(GLOB AMPLIFY_SRC
    ${AMPLIFY_UNIFIED_HEADERS}
    ${AMPLIFY_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\amplify" FILES ${AWS_AMPLIFY_HEADERS})
        source_group("Header Files\\aws\\amplify\\model" FILES ${AWS_AMPLIFY_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_AMPLIFY_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_AMPLIFY_MODEL_SOURCE})
    endif(MSVC)
endif()

set(AMPLIFY_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${AMPLIFY_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_AMPLIFY_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_AMPLIFY_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/amplify)
install (FILES ${AWS_AMPLIFY_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/amplify/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-apigatewaymanagementapi/CMakeLists.txt ===
add_project(aws-cpp-sdk-apigatewaymanagementapi "C++ SDK for the AWS apigatewaymanagementapi service" aws-cpp-sdk-core)

file(GLOB AWS_APIGATEWAYMANAGEMENTAPI_HEADERS
    "include/aws/apigatewaymanagementapi/*.h"
)

file(GLOB AWS_APIGATEWAYMANAGEMENTAPI_MODEL_HEADERS
    "include/aws/apigatewaymanagementapi/model/*.h"
)

file(GLOB AWS_APIGATEWAYMANAGEMENTAPI_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_APIGATEWAYMANAGEMENTAPI_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB APIGATEWAYMANAGEMENTAPI_UNIFIED_HEADERS
    ${AWS_APIGATEWAYMANAGEMENTAPI_HEADERS}
    ${AWS_APIGATEWAYMANAGEMENTAPI_MODEL_HEADERS}
)

file(GLOB APIGATEWAYMANAGEMENTAPI_UNITY_SRC
    ${AWS_APIGATEWAYMANAGEMENTAPI_SOURCE}
    ${AWS_APIGATEWAYMANAGEMENTAPI_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("APIGATEWAYMANAGEMENTAPI" APIGATEWAYMANAGEMENTAPI_UNITY_SRC)
endif()

file(GLOB APIGATEWAYMANAGEMENTAPI_SRC
    ${APIGATEWAYMANAGEMENTAPI_UNIFIED_HEADERS}
    ${APIGATEWAYMANAGEMENTAPI_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\apigatewaymanagementapi" FILES ${AWS_APIGATEWAYMANAGEMENTAPI_HEADERS})
        source_group("Header Files\\aws\\apigatewaymanagementapi\\model" FILES ${AWS_APIGATEWAYMANAGEMENTAPI_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_APIGATEWAYMANAGEMENTAPI_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_APIGATEWAYMANAGEMENTAPI_MODEL_SOURCE})
    endif(MSVC)
endif()

set(APIGATEWAYMANAGEMENTAPI_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${APIGATEWAYMANAGEMENTAPI_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_APIGATEWAYMANAGEMENTAPI_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_APIGATEWAYMANAGEMENTAPI_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/apigatewaymanagementapi)
install (FILES ${AWS_APIGATEWAYMANAGEMENTAPI_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/apigatewaymanagementapi/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-batch/CMakeLists.txt ===
add_project(aws-cpp-sdk-batch "C++ SDK for the AWS batch service" aws-cpp-sdk-core)

file(GLOB AWS_BATCH_HEADERS
    "include/aws/batch/*.h"
)

file(GLOB AWS_BATCH_MODEL_HEADERS
    "include/aws/batch/model/*.h"
)

file(GLOB AWS_BATCH_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_BATCH_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB BATCH_UNIFIED_HEADERS
    ${AWS_BATCH_HEADERS}
    ${AWS_BATCH_MODEL_HEADERS}
)

file(GLOB BATCH_UNITY_SRC
    ${AWS_BATCH_SOURCE}
    ${AWS_BATCH_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("BATCH" BATCH_UNITY_SRC)
endif()

file(GLOB BATCH_SRC
    ${BATCH_UNIFIED_HEADERS}
    ${BATCH_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\batch" FILES ${AWS_BATCH_HEADERS})
        source_group("Header Files\\aws\\batch\\model" FILES ${AWS_BATCH_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_BATCH_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_BATCH_MODEL_SOURCE})
    endif(MSVC)
endif()

set(BATCH_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${BATCH_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_BATCH_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_BATCH_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/batch)
install (FILES ${AWS_BATCH_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/batch/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-ce/CMakeLists.txt ===
add_project(aws-cpp-sdk-ce "C++ SDK for the AWS ce service" aws-cpp-sdk-core)

file(GLOB AWS_CE_HEADERS
    "include/aws/ce/*.h"
)

file(GLOB AWS_CE_MODEL_HEADERS
    "include/aws/ce/model/*.h"
)

file(GLOB AWS_CE_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CE_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CE_UNIFIED_HEADERS
    ${AWS_CE_HEADERS}
    ${AWS_CE_MODEL_HEADERS}
)

file(GLOB CE_UNITY_SRC
    ${AWS_CE_SOURCE}
    ${AWS_CE_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CE" CE_UNITY_SRC)
endif()

file(GLOB CE_SRC
    ${CE_UNIFIED_HEADERS}
    ${CE_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\ce" FILES ${AWS_CE_HEADERS})
        source_group("Header Files\\aws\\ce\\model" FILES ${AWS_CE_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CE_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CE_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CE_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${CE_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_COSTEXPLORER_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CE_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/ce)
install (FILES ${AWS_CE_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/ce/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-chime/CMakeLists.txt ===
add_project(aws-cpp-sdk-chime "C++ SDK for the AWS chime service" aws-cpp-sdk-core)

file(GLOB AWS_CHIME_HEADERS
    "include/aws/chime/*.h"
)

file(GLOB AWS_CHIME_MODEL_HEADERS
    "include/aws/chime/model/*.h"
)

file(GLOB AWS_CHIME_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CHIME_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CHIME_UNIFIED_HEADERS
    ${AWS_CHIME_HEADERS}
    ${AWS_CHIME_MODEL_HEADERS}
)

file(GLOB CHIME_UNITY_SRC
    ${AWS_CHIME_SOURCE}
    ${AWS_CHIME_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CHIME" CHIME_UNITY_SRC)
endif()

file(GLOB CHIME_SRC
    ${CHIME_UNIFIED_HEADERS}
    ${CHIME_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\chime" FILES ${AWS_CHIME_HEADERS})
        source_group("Header Files\\aws\\chime\\model" FILES ${AWS_CHIME_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CHIME_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CHIME_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CHIME_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${CHIME_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CHIME_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CHIME_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/chime)
install (FILES ${AWS_CHIME_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/chime/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-clouddirectory/CMakeLists.txt ===
add_project(aws-cpp-sdk-clouddirectory "C++ SDK for the AWS clouddirectory service" aws-cpp-sdk-core)

file(GLOB AWS_CLOUDDIRECTORY_HEADERS
    "include/aws/clouddirectory/*.h"
)

file(GLOB AWS_CLOUDDIRECTORY_MODEL_HEADERS
    "include/aws/clouddirectory/model/*.h"
)

file(GLOB AWS_CLOUDDIRECTORY_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CLOUDDIRECTORY_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CLOUDDIRECTORY_UNIFIED_HEADERS
    ${AWS_CLOUDDIRECTORY_HEADERS}
    ${AWS_CLOUDDIRECTORY_MODEL_HEADERS}
)

file(GLOB CLOUDDIRECTORY_UNITY_SRC
    ${AWS_CLOUDDIRECTORY_SOURCE}
    ${AWS_CLOUDDIRECTORY_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CLOUDDIRECTORY" CLOUDDIRECTORY_UNITY_SRC)
endif()

file(GLOB CLOUDDIRECTORY_SRC
    ${CLOUDDIRECTORY_UNIFIED_HEADERS}
    ${CLOUDDIRECTORY_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\clouddirectory" FILES ${AWS_CLOUDDIRECTORY_HEADERS})
        source_group("Header Files\\aws\\clouddirectory\\model" FILES ${AWS_CLOUDDIRECTORY_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CLOUDDIRECTORY_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CLOUDDIRECTORY_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CLOUDDIRECTORY_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${CLOUDDIRECTORY_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CLOUDDIRECTORY_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CLOUDDIRECTORY_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/clouddirectory)
install (FILES ${AWS_CLOUDDIRECTORY_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/clouddirectory/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-cloudformation/CMakeLists.txt ===
add_project(aws-cpp-sdk-cloudformation "C++ SDK for the AWS cloudformation service" aws-cpp-sdk-core)

file(GLOB AWS_CLOUDFORMATION_HEADERS
    "include/aws/cloudformation/*.h"
)

file(GLOB AWS_CLOUDFORMATION_MODEL_HEADERS
    "include/aws/cloudformation/model/*.h"
)

file(GLOB AWS_CLOUDFORMATION_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CLOUDFORMATION_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CLOUDFORMATION_UNIFIED_HEADERS
    ${AWS_CLOUDFORMATION_HEADERS}
    ${AWS_CLOUDFORMATION_MODEL_HEADERS}
)

file(GLOB CLOUDFORMATION_UNITY_SRC
    ${AWS_CLOUDFORMATION_SOURCE}
    ${AWS_CLOUDFORMATION_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CLOUDFORMATION" CLOUDFORMATION_UNITY_SRC)
endif()

file(GLOB CLOUDFORMATION_SRC
    ${CLOUDFORMATION_UNIFIED_HEADERS}
    ${CLOUDFORMATION_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\cloudformation" FILES ${AWS_CLOUDFORMATION_HEADERS})
        source_group("Header Files\\aws\\cloudformation\\model" FILES ${AWS_CLOUDFORMATION_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CLOUDFORMATION_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CLOUDFORMATION_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CLOUDFORMATION_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${CLOUDFORMATION_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CLOUDFORMATION_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CLOUDFORMATION_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/cloudformation)
install (FILES ${AWS_CLOUDFORMATION_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/cloudformation/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-codecommit/CMakeLists.txt ===
add_project(aws-cpp-sdk-codecommit "C++ SDK for the AWS codecommit service" aws-cpp-sdk-core)

file(GLOB AWS_CODECOMMIT_HEADERS
    "include/aws/codecommit/*.h"
)

file(GLOB AWS_CODECOMMIT_MODEL_HEADERS
    "include/aws/codecommit/model/*.h"
)

file(GLOB AWS_CODECOMMIT_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CODECOMMIT_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CODECOMMIT_UNIFIED_HEADERS
    ${AWS_CODECOMMIT_HEADERS}
    ${AWS_CODECOMMIT_MODEL_HEADERS}
)

file(GLOB CODECOMMIT_UNITY_SRC
    ${AWS_CODECOMMIT_SOURCE}
    ${AWS_CODECOMMIT_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CODECOMMIT" CODECOMMIT_UNITY_SRC)
endif()

file(GLOB CODECOMMIT_SRC
    ${CODECOMMIT_UNIFIED_HEADERS}
    ${CODECOMMIT_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\codecommit" FILES ${AWS_CODECOMMIT_HEADERS})
        source_group("Header Files\\aws\\codecommit\\model" FILES ${AWS_CODECOMMIT_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CODECOMMIT_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CODECOMMIT_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CODECOMMIT_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${CODECOMMIT_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CODECOMMIT_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CODECOMMIT_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/codecommit)
install (FILES ${AWS_CODECOMMIT_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/codecommit/model)

do_packaging()

=== debian/changelog ===
percona-server-mongodb-36 (3.6.19-7.0) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 3.6.19

 -- ubuntu-cloud-user <evgeniy.Patlan@percona.com>  Tue, 11 Aug 2020 16:36:05 -0400

=== debian/control ===
Source: percona-server-mongodb-36
Maintainer: Percona Development Team <opensource-dev@percona.com>
Section: database
Priority: extra
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev, dh-systemd, libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev


Package: percona-server-mongodb-36
Architecture: any
Breaks: percona-server-mongodb, percona-server-mongodb-32, percona-server-mongodb-34, mongodb-org, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-org-unstable, mongodb-org-unstable-mongos, mongodb-org-unstable-shell, mongodb-org-unstable-tools, mongodb-org-unstable-server, mongodb-nightly, mongodb-nightly, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-36-mongos (= ${source:Version}), percona-server-mongodb-36-shell (= ${source:Version}), percona-server-mongodb-36-server (= ${source:Version}), percona-server-mongodb-36-tools (= ${source:Version}), libsasl2-modules-gssapi-mit
Description: This metapackage will install the mongo shell, import/export tools, other client utilities, server software, default configuration, and init.d scripts.
 This package contains high-performance MongoDB replacement from Percona - Percona Server for MongoDB.
 Percona Server for MongoDB is built for scalability, performance and high availability, scaling from single server deployments to large, complex multi-site architectures.
 By leveraging in-memory computing, Percona Server for MongoDB provides high performance for both reads and writes.
 Percona Server for MongoDB's native replication and automated failover enable enterprise-grade reliability and operational flexibility.
 .
 Percona Server for MongoDB is an open-source database used by companies of all sizes, across all industries and for a wide variety of applications.
 It is an agile database that allows schemas to change quickly as applications evolve, while still providing the functionality developers expect from traditional databases,
 such as secondary indexes, a full query language and strict consistency.
 .
 Percona Server for MongoDB has a rich client ecosystem including hadoop integration, officially supported drivers for 10 programming languages and environments, as well as 40 drivers supported by the user community.
 .
 Percona Server for MongoDB features:
 * JSON Data Model with Dynamic Schemas
 * Auto-Sharding for Horizontal Scalability
 * Built-In Replication for High Availability
 * Rich Secondary Indexes, including geospatial
 * TTL indexes
 * Text Search
 * Aggregation Framework & Native MapReduce

Package: percona-server-mongodb-36-mongos
Architecture: any
Breaks: percona-server-mongodb-mongos, percona-server-mongodb-32-mongos, percona-server-mongodb-34-mongos, mongodb-org-mongos, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-org-unstable, mongodb-org-unstable-mongos, mongodb-org-unstable-shell, mongodb-org-unstable-tools, mongodb-org-unstable-server, mongodb-nightly, mongodb-nightly, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains mongos - the Percona Server for MongoDB sharded cluster query router
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-36-server
Architecture: any
Breaks: percona-server-mongodb-server, percona-server-mongodb-32-server, percona-server-mongodb-34-server, mongodb-org-server, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-org-unstable, mongodb-org-unstable-mongos, mongodb-org-unstable-shell, mongodb-org-unstable-tools, mongodb-org-unstable-server, mongodb-nightly, mongodb-nightly, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-36-shell
Description: This package contains the Percona Server for MongoDB server software, default configuration files and init.d scripts
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-36-shell
Architecture: any
Breaks: percona-server-mongodb-shell, percona-server-mongodb-32-shell, percona-server-mongodb-34-shell, mongodb-org-shell, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-org-unstable, mongodb-org-unstable-mongos, mongodb-org-unstable-shell, mongodb-org-unstable-tools, mongodb-org-unstable-server, mongodb-nightly, mongodb-nightly, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains the Percona Server for MongoDB shell
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-36-tools
Architecture: any
Breaks: percona-server-mongodb-tools, percona-server-mongodb-32-tools, percona-server-mongodb-34-tools, mongodb-org-tools, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-org-unstable, mongodb-org-unstable-mongos, mongodb-org-unstable-shell, mongodb-org-unstable-tools, mongodb-org-unstable-server, mongodb-nightly, mongodb-nightly, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mongo tools for high-performance MongoDB fork from Percona
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-36-dbg
Architecture: any
Breaks: percona-server-mongodb-dbg, percona-server-mongodb-32-dbg, percona-server-mongodb-34-dbg
Section: debug
Depends: percona-server-mongodb-36 (= ${binary:Version}), ${misc:Depends}
Description: Debugging package for Percona Server for MongoDB
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

=== debian/rules ===
#!/usr/bin/make -f
#
export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export NJOBS=$(shell grep -c processor /proc/cpuinfo)
export PSM_TARGETS=mongod mongos mongo perconadecrypt
export PSMSRC=$(CURDIR)
export MONGOTOOLS=bsondump mongostat mongofiles mongoexport mongoimport mongorestore mongodump mongotop mongoreplay
export INSTALLDIR=$(PSMSRC)/install
export AWS_LIBS=/usr/local
export TOOLS_TAGS=ssl sasl
export PORTABLE=1
export USE_SSE=1
export PATH := /usr/local/go/bin:$(PATH)
CC = /usr/local/gcc-5.4.0/bin/gcc-5.4
CXX = /usr/local/gcc-5.4.0/bin/g++-5.4
#
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(PSMSRC)/bin
	rm -fr $(INSTALLDIR)
	buildscripts/scons.py CC=$(CC) CXX=$(CXX) -C $(PSMSRC) -c --audit --release --disable-warnings-as-errors  --ssl --opt -j$(NJOBS) --use-sasl-client CPPPATH="$(INSTALLDIR)/include $(AWS_LIBS)/include" \
	LIBPATH="$(INSTALLDIR)/lib $(AWS_LIBS)/lib" LINKFLAGS="$(LINKFLAGS)" --rocksdb --wiredtiger --inmemory --hotbackup $(PSM_TARGETS) || exit $?
	rm -fr build
	find $(PSMSRC) -name '*.pyc' -delete

RocksDB:
	rm -rf ${INSTALLDIR}; \
	mkdir -p ${INSTALLDIR}/include; \
	mkdir -p ${INSTALLDIR}/bin; \
	mkdir -p ${INSTALLDIR}/lib; \
	cd $(PSMSRC)/src/third_party/rocksdb; \
	make -j4 EXTRA_CFLAGS='-fPIC -DLZ4 -I../lz4-r131 -DSNAPPY -I../snappy-1.1.3 -DHAVE_SSE42' EXTRA_CXXFLAGS='-fPIC -DLZ4 -I../lz4-r131 -DSNAPPY -I../snappy-1.1.3 -DHAVE_SSE42' DISABLE_JEMALLOC=1 static_lib; \
	make install-static INSTALL_PATH=${INSTALLDIR}

# Finally PSfMDB
percona-server-mongodb:
	buildscripts/scons.py CC=${CC} CXX=${CXX} --audit --release --disable-warnings-as-errors  --ssl --opt=on -j$(NJOBS) \
	--use-sasl-client --wiredtiger --rocksdb --inmemory --hotbackup \
	CPPPATH="${INSTALLDIR}/include $(AWS_LIBS)/include" LIBPATH="${INSTALLDIR}/lib $(AWS_LIBS)/lib" LINKFLAGS="$(LINKFLAGS)" ${PSM_TARGETS} || exit $?

compile-mongo-tools:
	mkdir $(PSMSRC)/bin || true;
	mkdir -p $(PSMSRC)/build_tools/src/github.com/mongodb/mongo-tools;
	cp -r $(PSMSRC)/mongo-tools/* $(PSMSRC)/build_tools/src/github.com/mongodb/mongo-tools;
	#mv $(PSMSRC)/build_tools $(PSMSRC)/mongo-tools/;
	cp -r $(PSMSRC)/build_tools $(PSMSRC)/mongo-tools/;
	cd $(PSMSRC)/mongo-tools/build_tools/src/github.com/mongodb/mongo-tools; \
	export GOROOT="/usr/local/go/"; \
	export GOPATH=$(PWD)/; \
	export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
	export GOBINPATH="/usr/local/go/bin"; \
	. ./set_tools_revision.sh; \
	. ./set_goenv.sh; \
	mkdir -p bin; \
	bash -x ./build.sh ${TOOLS_TAGS};
	cp -av $(PSMSRC)/mongo-tools/build_tools/src/github.com/mongodb/mongo-tools/bin/* $(PSMSRC)/bin; \
	cd $(PSMSRC)/mongo-tools;

build: RocksDB percona-server-mongodb compile-mongo-tools

override_dh_auto_install:
	dh_auto_install
	cp -av mongos debian/percona-server-mongodb-36-mongos/usr/bin
	cp -av mongo debian/percona-server-mongodb-36-shell/usr/bin
	cp -av mongod debian/percona-server-mongodb-36-server/usr/bin
	cp -av perconadecrypt debian/percona-server-mongodb-36-server/usr/bin
	cp -av debian/percona-server-mongodb-helper.sh debian/percona-server-mongodb-36-server/usr/bin
	cp -av debian/percona-server-mongodb-enable-auth.sh debian/percona-server-mongodb-36-server/usr/bin
	cp -av debian/mongod.conf debian/percona-server-mongodb-36-server/etc/mongod.conf
	cp -av $(PSMSRC)/bin/* debian/percona-server-mongodb-36-tools/usr/bin

override_dh_strip:
	dh_strip -a --dbg-package=percona-server-mongodb-36-dbg

override_dh_installinit:
	dh_installinit -a --name=mongod

override_dh_systemd_enable:
	dh_systemd_enable --name=mongod

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade
